Image 01
profile-image

jsantiagoh

J. Santiago Hirschfeld
Kopete

Chat & Messenging by mattr 100 comments

I get this:


make[6]: Entering directory `/home/santiago/Programas/abs/kopete/src/kopete-0.12.0/kopete/protocols/yahoo/libkyahoo'
if /bin/sh ../../../../libtool --silent --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -I. -I../../../.. -I/opt/kde/include -I/opt/qt/include -I. -DQT_THREAD_SUPPORT -D_REENTRANT -D_FILE_OFFSET_BITS=64 -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -march=i686 -O2 -pipe -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -MT libkyahoo_la.all_cpp.lo -MD -MP -MF ".deps/libkyahoo_la.all_cpp.Tpo" -c -o libkyahoo_la.all_cpp.lo libkyahoo_la.all_cpp.cpp; \
then mv -f ".deps/libkyahoo_la.all_cpp.Tpo" ".deps/libkyahoo_la.all_cpp.Plo"; else rm -f ".deps/libkyahoo_la.all_cpp.Tpo"; exit 1; fi
yahoobuddyiconloader.cpp:34: error: expected `)' before '*' token
make[6]: *** [libkyahoo_la.all_cpp.lo] Error 1


using KDE 3.5.2 and GCC 4.0.3 - Jun 02 2006
Qalculate!

Science by NiQ 26 comments

I didn't look into it, just supposed that was a configure.in error detecting CNL so i removed the CNL check in configure.in, did autoconf; automake and then ./configure && make.

I'll post the config.log in bug. - Jun 03 2005
Qalculate!

Science by NiQ 26 comments

The list of archives whith the issue is long, i'll post a bug in sf with an attached text list.

I also get:
checking for CLN - version >= 1.1.0... no
*** Could not run CLN test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means CLN was incorrectly installed
*** or that you have moved CLN since it was installed. In the latter case, you
*** may want to edit the cln-config script: /usr/bin/cln-config.
configure: error: No suitable installed version of CLN could be found.


in configure, even when libqalculate and qalculate-gtk where compiled and installed wihout problem. - Jun 03 2005
Qalculate!

Science by NiQ 26 comments

I'm using kde 3.4.1 and qt 3.3.4 and couldn't compile qalculate-kde because i get lots of std::string to QString convertion errors, i have no idea about qt programming but it seems that it need some kind of convertion, I wonder if it's just me having this issue. The autor seems to have tested it with the same version of the libraries, that's what's confusing me. Ah and got some problem with the CNL in the configure, easly solved. BTW libqalculate and qalculate-gtk are working fine.
Great news there is a qalculate-kde, i use this app a lot and i love it. Hope can make it work.

Thanks - Jun 02 2005